"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NegativeMarginsContainer = exports.Container = exports.useResponsiveContainerPadding = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("./Theme/Providers");
const useResponsiveContainerPadding = () => {
    const theme = Providers_1.useTheme();
    return react_1.css({
        padding: `0 ${theme.spaces.xs}`,
        [theme.mediaQueries.sm]: {
            padding: `0 ${theme.spaces.none}`
        },
        [theme.mediaQueries.md]: {
            padding: `0 ${theme.spaces.sm}`
        },
        [theme.mediaQueries.lg]: {
            padding: `0 ${theme.spaces.md}`
        },
        [theme.mediaQueries.xl]: {
            padding: `0 ${theme.spaces.lg}`
        }
    });
};
exports.useResponsiveContainerPadding = useResponsiveContainerPadding;
const Container = (props) => {
    const responsiveContainerPadding = exports.useResponsiveContainerPadding();
    return (react_1.jsx("div", Object.assign({ css: [
            {
                width: "100%",
                maxWidth: "1200px",
                boxSizing: "border-box",
                margin: "0 auto"
            },
            responsiveContainerPadding
        ] }, props)));
};
exports.Container = Container;
exports.Container.propTypes = {
    children: prop_types_1.default.node
};
function NegativeMarginsContainer(props) {
    const theme = Providers_1.useTheme();
    return (react_1.jsx("div", Object.assign({ css: {
            marginLeft: `-${theme.spaces.md}`,
            marginRight: `-${theme.spaces.md}`,
            [theme.mediaQueries.lg]: {
                marginLeft: `-${theme.spaces.lg}`,
                marginRight: `-${theme.spaces.lg}`
            }
        } }, props)));
}
exports.NegativeMarginsContainer = NegativeMarginsContainer;
