"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorBoundary = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const Alert_1 = require("./Alert");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
class ErrorBoundary extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            error: null
        };
    }
    componentDidCatch(error) {
        this.setState({ error });
    }
    render() {
        if (this.state.error) {
            //render error message
            return (react_1.jsx("div", { css: { padding: "1rem" } },
                react_1.jsx(Alert_1.Alert, { type: "assertive", intent: "danger", title: this.props.title, subtitle: this.props.subtitle })));
        }
        else {
            //when there's not an error, render children untouched
            return this.props.children;
        }
    }
}
exports.ErrorBoundary = ErrorBoundary;
ErrorBoundary.propTypes = {
    title: prop_types_1.default.string,
    subtitle: prop_types_1.default.string,
    children: prop_types_1.default.node
};
ErrorBoundary.defaultProps = {
    title: "An unexpected error has occurred.",
    subtitle: "Please try reloading. If the problem persists, please contact us for help."
};
