"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeRefs = void 0;
const mergeRefs = (...refs) => (ref) => {
    refs.forEach(resolvableRef => {
        if (typeof resolvableRef === "function") {
            resolvableRef(ref);
        }
        else if (resolvableRef) {
            resolvableRef.current = ref;
        }
    });
};
exports.mergeRefs = mergeRefs;
