"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFocusElement = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const focus_trap_1 = tslib_1.__importDefault(require("focus-trap"));
function useFocusElement(elementRef, showing, options = {}) {
    React.useEffect(() => {
        let trap;
        function focusElement() {
            if (!elementRef.current) {
                console.error("No element found to found");
                return;
            }
            trap = focus_trap_1.default(elementRef.current, Object.assign({ escapeDeactivates: false, clickOutsideDeactivates: true, fallbackFocus: '[tabindex="-1"]' }, options));
            trap.activate();
        }
        function focusTrigger() {
            if (!trap) {
                return;
            }
            trap.deactivate();
        }
        if (showing) {
            focusElement();
            return () => {
                focusTrigger();
            };
        }
    }, [showing]);
}
exports.useFocusElement = useFocusElement;
