"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useWindowSize = void 0;
const react_1 = require("react");
function getSize() {
    if (typeof window === "undefined") {
        return {};
    }
    return {
        innerHeight: window.innerHeight,
        innerWidth: window.innerWidth,
        outerHeight: window.outerHeight,
        outerWidth: window.outerWidth
    };
}
function useWindowSize() {
    let [windowSize, setWindowSize] = react_1.useState(getSize());
    function handleResize() {
        setWindowSize(getSize());
    }
    react_1.useEffect(() => {
        window.addEventListener("resize", handleResize);
        return () => {
            window.removeEventListener("resize", handleResize);
        };
    }, []);
    return windowSize;
}
exports.useWindowSize = useWindowSize;
