"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconAlignCenter = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconAlignCenter = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("line", { x1: "18", y1: "10", x2: "6", y2: "10" }),
        react_1.jsx("line", { x1: "21", y1: "6", x2: "3", y2: "6" }),
        react_1.jsx("line", { x1: "21", y1: "14", x2: "3", y2: "14" }),
        react_1.jsx("line", { x1: "18", y1: "18", x2: "6", y2: "18" })));
};
exports.IconAlignCenter = IconAlignCenter;
exports.IconAlignCenter.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
