"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconCoffee = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconCoffee = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("path", { d: "M18 8h1a4 4 0 0 1 0 8h-1" }),
        react_1.jsx("path", { d: "M2 8h16v9a4 4 0 0 1-4 4H6a4 4 0 0 1-4-4V8z" }),
        react_1.jsx("line", { x1: "6", y1: "1", x2: "6", y2: "4" }),
        react_1.jsx("line", { x1: "10", y1: "1", x2: "10", y2: "4" }),
        react_1.jsx("line", { x1: "14", y1: "1", x2: "14", y2: "4" })));
};
exports.IconCoffee = IconCoffee;
exports.IconCoffee.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
