"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconCpu = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconCpu = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("rect", { x: "4", y: "4", width: "16", height: "16", rx: "2", ry: "2" }),
        react_1.jsx("rect", { x: "9", y: "9", width: "6", height: "6" }),
        react_1.jsx("line", { x1: "9", y1: "1", x2: "9", y2: "4" }),
        react_1.jsx("line", { x1: "15", y1: "1", x2: "15", y2: "4" }),
        react_1.jsx("line", { x1: "9", y1: "20", x2: "9", y2: "23" }),
        react_1.jsx("line", { x1: "15", y1: "20", x2: "15", y2: "23" }),
        react_1.jsx("line", { x1: "20", y1: "9", x2: "23", y2: "9" }),
        react_1.jsx("line", { x1: "20", y1: "14", x2: "23", y2: "14" }),
        react_1.jsx("line", { x1: "1", y1: "9", x2: "4", y2: "9" }),
        react_1.jsx("line", { x1: "1", y1: "14", x2: "4", y2: "14" })));
};
exports.IconCpu = IconCpu;
exports.IconCpu.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
