"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconCrosshair = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconCrosshair = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("circle", { cx: "12", cy: "12", r: "10" }),
        react_1.jsx("line", { x1: "22", y1: "12", x2: "18", y2: "12" }),
        react_1.jsx("line", { x1: "6", y1: "12", x2: "2", y2: "12" }),
        react_1.jsx("line", { x1: "12", y1: "6", x2: "12", y2: "2" }),
        react_1.jsx("line", { x1: "12", y1: "22", x2: "12", y2: "18" })));
};
exports.IconCrosshair = IconCrosshair;
exports.IconCrosshair.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
