"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconFilm = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconFilm = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("rect", { x: "2", y: "2", width: "20", height: "20", rx: "2.18", ry: "2.18" }),
        react_1.jsx("line", { x1: "7", y1: "2", x2: "7", y2: "22" }),
        react_1.jsx("line", { x1: "17", y1: "2", x2: "17", y2: "22" }),
        react_1.jsx("line", { x1: "2", y1: "12", x2: "22", y2: "12" }),
        react_1.jsx("line", { x1: "2", y1: "7", x2: "7", y2: "7" }),
        react_1.jsx("line", { x1: "2", y1: "17", x2: "7", y2: "17" }),
        react_1.jsx("line", { x1: "17", y1: "17", x2: "22", y2: "17" }),
        react_1.jsx("line", { x1: "17", y1: "7", x2: "22", y2: "7" })));
};
exports.IconFilm = IconFilm;
exports.IconFilm.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
