"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconHash = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconHash = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("line", { x1: "4", y1: "9", x2: "20", y2: "9" }),
        react_1.jsx("line", { x1: "4", y1: "15", x2: "20", y2: "15" }),
        react_1.jsx("line", { x1: "10", y1: "3", x2: "8", y2: "21" }),
        react_1.jsx("line", { x1: "16", y1: "3", x2: "14", y2: "21" })));
};
exports.IconHash = IconHash;
exports.IconHash.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
