"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconLinkedin = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconLinkedin = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("path", { d: "M16 8a6 6 0 0 1 6 6v7h-4v-7a2 2 0 0 0-2-2 2 2 0 0 0-2 2v7h-4v-7a6 6 0 0 1 6-6z" }),
        react_1.jsx("rect", { x: "2", y: "9", width: "4", height: "12" }),
        react_1.jsx("circle", { cx: "4", cy: "4", r: "2" })));
};
exports.IconLinkedin = IconLinkedin;
exports.IconLinkedin.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
