"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconPlusSquare = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconPlusSquare = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("rect", { x: "3", y: "3", width: "18", height: "18", rx: "2", ry: "2" }),
        react_1.jsx("line", { x1: "12", y1: "8", x2: "12", y2: "16" }),
        react_1.jsx("line", { x1: "8", y1: "12", x2: "16", y2: "12" })));
};
exports.IconPlusSquare = IconPlusSquare;
exports.IconPlusSquare.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
