"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconRepeat = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconRepeat = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("polyline", { points: "17 1 21 5 17 9" }),
        react_1.jsx("path", { d: "M3 11V9a4 4 0 0 1 4-4h14" }),
        react_1.jsx("polyline", { points: "7 23 3 19 7 15" }),
        react_1.jsx("path", { d: "M21 13v2a4 4 0 0 1-4 4H3" })));
};
exports.IconRepeat = IconRepeat;
exports.IconRepeat.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
