"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconSun = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconSun = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("circle", { cx: "12", cy: "12", r: "5" }),
        react_1.jsx("line", { x1: "12", y1: "1", x2: "12", y2: "3" }),
        react_1.jsx("line", { x1: "12", y1: "21", x2: "12", y2: "23" }),
        react_1.jsx("line", { x1: "4.22", y1: "4.22", x2: "5.64", y2: "5.64" }),
        react_1.jsx("line", { x1: "18.36", y1: "18.36", x2: "19.78", y2: "19.78" }),
        react_1.jsx("line", { x1: "1", y1: "12", x2: "3", y2: "12" }),
        react_1.jsx("line", { x1: "21", y1: "12", x2: "23", y2: "12" }),
        react_1.jsx("line", { x1: "4.22", y1: "19.78", x2: "5.64", y2: "18.36" }),
        react_1.jsx("line", { x1: "18.36", y1: "5.64", x2: "19.78", y2: "4.22" })));
};
exports.IconSun = IconSun;
exports.IconSun.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
