"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconSunset = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconSunset = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("path", { d: "M17 18a5 5 0 0 0-10 0" }),
        react_1.jsx("line", { x1: "12", y1: "9", x2: "12", y2: "2" }),
        react_1.jsx("line", { x1: "4.22", y1: "10.22", x2: "5.64", y2: "11.64" }),
        react_1.jsx("line", { x1: "1", y1: "18", x2: "3", y2: "18" }),
        react_1.jsx("line", { x1: "21", y1: "18", x2: "23", y2: "18" }),
        react_1.jsx("line", { x1: "18.36", y1: "11.64", x2: "19.78", y2: "10.22" }),
        react_1.jsx("line", { x1: "23", y1: "22", x2: "1", y2: "22" }),
        react_1.jsx("polyline", { points: "16 5 12 9 8 5" })));
};
exports.IconSunset = IconSunset;
exports.IconSunset.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
