"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconThermometer = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconThermometer = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("path", { d: "M14 14.76V3.5a2.5 2.5 0 0 0-5 0v11.26a4.5 4.5 0 1 0 5 0z" })));
};
exports.IconThermometer = IconThermometer;
exports.IconThermometer.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
