"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconVolumeX = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconVolumeX = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("polygon", { points: "11 5 6 9 2 9 2 15 6 15 11 19 11 5" }),
        react_1.jsx("line", { x1: "23", y1: "9", x2: "17", y2: "15" }),
        react_1.jsx("line", { x1: "17", y1: "9", x2: "23", y2: "15" })));
};
exports.IconVolumeX = IconVolumeX;
exports.IconVolumeX.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
