"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconWifi = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("../../Theme/Providers");
const IconWifi = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = tslib_1.__rest(_a, ["color", "size"]);
    const theme = Providers_1.useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (react_1.jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        react_1.jsx("path", { d: "M5 12.55a11 11 0 0 1 14.08 0" }),
        react_1.jsx("path", { d: "M1.42 9a16 16 0 0 1 21.16 0" }),
        react_1.jsx("path", { d: "M8.53 16.11a6 6 0 0 1 6.95 0" }),
        react_1.jsx("line", { x1: "12", y1: "20", x2: "12", y2: "20" })));
};
exports.IconWifi = IconWifi;
exports.IconWifi.propTypes = {
    color: prop_types_1.default.string,
    size: prop_types_1.default.oneOfType([prop_types_1.default.string, prop_types_1.default.number])
};
