"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LayerLoading = exports.Layer = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const Spinner_1 = require("./Spinner");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("./Theme/Providers");
exports.Layer = React.forwardRef((_a, ref) => {
    var { elevation = "md", children } = _a, other = tslib_1.__rest(_a, ["elevation", "children"]);
    const theme = Providers_1.useTheme();
    return (react_1.jsx("div", Object.assign({ ref: ref, css: {
            position: "relative",
            background: theme.colors.background.layer,
            boxShadow: theme.shadows[elevation],
            borderRadius: theme.radii.lg
        } }, other), children));
});
exports.Layer.displayName = "Layer";
exports.Layer.propTypes = {
    elevation: prop_types_1.default.oneOf(["xs", "sm", "md", "lg", "xl"]),
    children: prop_types_1.default.node
};
const LayerLoading = (_a) => {
    var { loading, label } = _a, other = tslib_1.__rest(_a, ["loading", "label"]);
    const theme = Providers_1.useTheme();
    const isDark = theme.colors.mode === "dark";
    return (react_1.jsx("div", Object.assign({ css: {
            position: "absolute",
            top: 0,
            left: 0,
            right: 0,
            borderRadius: theme.radii.lg,
            bottom: 0,
            display: "flex",
            alignItems: "center",
            justifyContent: "center",
            background: isDark ? "rgba(0,0,0,0.75)" : "rgba(255,255,255,0.7)",
            zIndex: 5,
            transition: "opacity 0.3s ease",
            pointerEvents: loading ? "auto" : "none",
            opacity: loading ? 1 : 0
        } }, other),
        react_1.jsx(Spinner_1.Spinner, { label: label })));
};
exports.LayerLoading = LayerLoading;
exports.LayerLoading.propTypes = {
    loading: prop_types_1.default.bool,
    label: prop_types_1.default.string
};
