"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Link = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("./Theme/Providers");
/**
 * A styled anchor element
 */
const Link = (_a) => {
    var { children, component: Component = "a" } = _a, other = tslib_1.__rest(_a, ["children", "component"]);
    const theme = Providers_1.useTheme();
    return (react_1.jsx(Component, Object.assign({ className: "Link", css: {
            textDecoration: "none",
            "@media (hover:hover)": {
                ":hover": {
                    textDecoration: "underline"
                }
            },
            color: theme.colors.mode === "dark"
                ? theme.colors.palette.blue.light
                : theme.colors.palette.blue.base
        } }, other), children));
};
exports.Link = Link;
exports.Link.propTypes = {
    component: prop_types_1.default.any,
    children: prop_types_1.default.node
};
