"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Navbar = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("./Theme/Providers");
const getStyles = (theme) => ({
    fixed: react_1.css({
        position: "fixed",
        top: 0,
        left: 0,
        width: "100%",
        zIndex: theme.zIndices.fixed
    }),
    static: react_1.css({
        position: "static",
        boxShadow: "none"
    }),
    absolute: react_1.css({
        position: "absolute",
        top: 0,
        left: 0,
        width: "100%"
    }),
    sticky: react_1.css({
        position: "sticky",
        top: 0,
        zIndex: theme.zIndices.sticky
    })
});
/**
 * A Navbar is used to provide app based navigation. Typically
 * used in combination with a Toolbar.
 */
const Navbar = (_a) => {
    var { position = "fixed", children } = _a, other = tslib_1.__rest(_a, ["position", "children"]);
    const theme = Providers_1.useTheme();
    const styles = React.useMemo(() => getStyles(theme), [theme]);
    return (react_1.jsx("nav", Object.assign({ css: [
            {
                background: theme.colors.background.default,
                zIndex: position === "fixed" ? theme.zIndices.fixed : undefined,
                boxShadow: theme.shadows.sm
            },
            styles[position]
        ] }, other), children));
};
exports.Navbar = Navbar;
exports.Navbar.propTypes = {
    position: prop_types_1.default.oneOf(["fixed", "static"]),
    children: prop_types_1.default.node
};
