"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Overlay = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const react_spring_1 = require("react-spring");
const Portal_1 = require("./Portal");
const hide_body_1 = require("./Hooks/hide-body");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const Providers_1 = require("./Theme/Providers");
exports.Overlay = React.forwardRef(({ isOpen, onRequestClose, children }, ref) => {
    const theme = Providers_1.useTheme();
    const transitions = react_spring_1.useTransition(isOpen, {
        from: { opacity: 0 },
        enter: { opacity: 1 },
        leave: { opacity: 0 }
    });
    const { bind } = hide_body_1.useHideBody(isOpen);
    return (react_1.jsx(Portal_1.Portal, null, transitions((style, item) => {
        // @ts-ignore
        return (item && react_1.jsx("div", Object.assign({ key: 1, ref: ref }, bind, { onClick: (e) => {
                e.stopPropagation();
                onRequestClose();
            }, onKeyDown: (e) => {
                if (e.key === "Escape") {
                    e.stopPropagation();
                    onRequestClose();
                }
            }, css: {
                bottom: 0,
                left: 0,
                overflow: "auto",
                width: "100vw",
                height: "100vh",
                zIndex: theme.zIndices.overlay,
                position: "fixed",
                content: "''",
                right: 0,
                top: 0,
                WebkitTapHighlightColor: "transparent"
            } }),
            react_1.jsx(react_spring_1.animated.div, { style: { opacity: style.opacity }, css: {
                    position: "absolute",
                    top: 0,
                    left: 0,
                    right: 0,
                    bottom: 0,
                    background: theme.colors.background.overlay
                } }),
            children));
    })));
});
exports.Overlay.displayName = "Overlay";
exports.Overlay.propTypes = {
    isOpen: prop_types_1.default.bool.isRequired,
    onRequestClose: prop_types_1.default.func.isRequired,
    children: prop_types_1.default.node
};
