"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Portal = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const ReactDOM = tslib_1.__importStar(require("react-dom"));
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
let container = null;
const Portal = ({ children }) => {
    const [target] = React.useState(() => {
        if (typeof document === "undefined") {
            return null;
        }
        if (!container) {
            container = document.createElement("div");
            document.body.appendChild(container);
        }
        const div = document.createElement("div");
        container.appendChild(div);
        return div;
    });
    React.useEffect(() => {
        return () => {
            if (target) {
                container.removeChild(target);
            }
        };
    }, [target]);
    return target ? ReactDOM.createPortal(children, target) : null;
};
exports.Portal = Portal;
exports.Portal.propTypes = {
    children: prop_types_1.default.node
};
