"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Skeleton = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const Providers_1 = require("./Theme/Providers");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const animation = react_1.keyframes `
  0% {
    background-position: -190px 0;
  }
  100% {
    background-position: calc(190px + 100%) 0;
  }
`;
const Skeleton = (_a) => {
    var { baseColor, highlightColor, animated = false, duration = 1.2 } = _a, other = tslib_1.__rest(_a, ["baseColor", "highlightColor", "animated", "duration"]);
    const theme = Providers_1.useTheme();
    const base = baseColor || theme.colors.background.tint2;
    const highlight = highlightColor || theme.colors.background.tint1;
    return (react_1.jsx("span", Object.assign({ css: {
            backgroundColor: base,
            backgroundImage: animated
                ? `linear-gradient(90deg, ${base}, ${highlight}, ${base})`
                : "none",
            backgroundSize: "190px 100%",
            backgroundRepeat: "no-repeat",
            borderRadius: theme.radii.sm,
            display: "inline-block",
            lineHeight: 1,
            width: "100%",
            animation: animated
                ? `${animation} ${duration}s linear infinite`
                : "none"
        } }, other), "\u200C"));
};
exports.Skeleton = Skeleton;
exports.Skeleton.propTypes = {
    baseColor: prop_types_1.default.string,
    highlightColor: prop_types_1.default.string,
    duration: prop_types_1.default.number
};
