"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SkipNavContent = exports.SkipNavLink = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const prop_types_1 = tslib_1.__importDefault(require("prop-types"));
const skip_nav_1 = require("@reach/skip-nav");
const Text_1 = require("./Text");
const Providers_1 = require("./Theme/Providers");
const SkipNavLink = (_a) => {
    var { children = "Skip to content" } = _a, other = tslib_1.__rest(_a, ["children"]);
    const theme = Providers_1.useTheme();
    return (react_1.jsx(skip_nav_1.SkipNavLink, Object.assign({ css: {
            border: 0,
            clip: "rect(0 0 0 0)",
            height: "1px",
            margin: "-1px",
            overflow: "hidden",
            padding: 0,
            position: "absolute",
            color: theme.colors.text.default,
            textDecoration: "none",
            width: "1px",
            ":focus": {
                background: theme.colors.background.layer,
                clip: "auto",
                height: "auto",
                left: theme.spaces.md,
                top: theme.spaces.md,
                position: "fixed",
                zIndex: 40,
                width: "auto",
                padding: theme.spaces.md,
                borderRadius: theme.radii.md
            }
        } }, other),
        react_1.jsx(Text_1.Text, null, children)));
};
exports.SkipNavLink = SkipNavLink;
exports.SkipNavLink.propTypes = {
    children: prop_types_1.default.node
};
exports.SkipNavContent = skip_nav_1.SkipNavContent;
