"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StackItem = exports.Stack = exports.StackTitle = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const react_gesture_stack_1 = require("react-gesture-stack");
const Text_1 = require("./Text");
const Button_1 = require("./Button");
const Icons_1 = require("./Icons");
const Providers_1 = require("./Theme/Providers");
function StackTitle(_a) {
    var { title, backTitle = "Back" } = _a, other = tslib_1.__rest(_a, ["title", "backTitle"]);
    const { index, changeIndex } = React.useContext(react_gesture_stack_1.StackContext);
    return (react_1.jsx(react_gesture_stack_1.StackTitle, Object.assign({ backButton: react_1.jsx(Button_1.Button, { variant: "ghost", onPress: () => changeIndex(index - 1), iconBefore: react_1.jsx(Icons_1.IconChevronLeft, null) }, backTitle), title: title ? (react_1.jsx(Text_1.Text, { gutter: false, variant: "h6" }, title)) : null }, other)));
}
exports.StackTitle = StackTitle;
function Stack(props) {
    const theme = Providers_1.useTheme();
    return (react_1.jsx(react_gesture_stack_1.Stack, Object.assign({ css: {
            ".Stack__nav": {
                background: theme.colors.background.tint1,
                boxShadow: theme.shadows.xs
            }
        } }, props)));
}
exports.Stack = Stack;
function StackItem(props) {
    const theme = Providers_1.useTheme();
    const dark = theme.colors.mode === "dark";
    function generateShadow(x) {
        return dark
            ? `rgba(0, 0, 0, ${x}) 0px 0px 12px -2px`
            : `rgba(160, 160, 160, ${x}) 0px 0px 12px -2px`;
    }
    return (react_1.jsx(react_gesture_stack_1.StackItem, Object.assign({ generateShadow: generateShadow, style: {
            background: undefined
        }, css: {
            backgroundColor: theme.colors.background.default,
            "& .StackItem__overlay": {
                backgroundColor: theme.colors.background.tint1 + "!important"
            }
        } }, props)));
}
exports.StackItem = StackItem;
