"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Touchable = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const touchable_hook_1 = require("touchable-hook");
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const compose_bind_1 = require("./Hooks/compose-bind");
exports.Touchable = React.forwardRef((_a, ref) => {
    var { children, className = "", delay, pressExpandPx, terminateOnScroll = true, component: Component = "button", onPress, disabled = false } = _a, other = tslib_1.__rest(_a, ["children", "className", "delay", "pressExpandPx", "terminateOnScroll", "component", "onPress", "disabled"]);
    const isLink = other.to || other.href;
    const { bind, hover, active } = touchable_hook_1.useTouchable({
        onPress,
        disabled,
        delay,
        terminateOnScroll,
        pressExpandPx,
        behavior: isLink ? "link" : "button"
    });
    return (react_1.jsx(Component, Object.assign({ className: classnames_1.default("Touchable", className, {
            "Touchable--hover": hover,
            "Touchable--active": active
        }) }, compose_bind_1.safeBind({ ref }, bind, other)), children));
});
