"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const Button_1 = require("../Button");
const react_2 = require("@storybook/react");
const Theme_1 = tslib_1.__importDefault(require("../Theme"));
const Providers_1 = require("../Theme/Providers");
const Icons_1 = require("../Icons");
exports.ButtonStories = react_2.storiesOf("Button", module)
    .add("submit", () => {
    return (react_1.jsx("form", { onSubmit: e => {
            e.preventDefault();
            console.log("submit");
        } },
        react_1.jsx("input", { type: "text" }),
        react_1.jsx(Button_1.Button, { type: "submit" }, "Submit")));
})
    .add("variants", () => {
    const sizes = ["xs", "sm", "md", "lg", "xl"];
    const appearance = ["default", "ghost", "outline"];
    const intents = [
        "none",
        "primary",
        "success",
        "danger",
        "warning"
    ];
    return (react_1.jsx("div", null, appearance.map(appearance => (react_1.jsx("div", { key: appearance }, sizes.map(size => (react_1.jsx("div", { key: size, style: { padding: "0.5rem" } }, intents.map(intent => (react_1.jsx(Button_1.Button, { key: size + appearance, size: size, css: { marginRight: "1rem", textTransform: "capitalize" }, variant: appearance, intent: intent, onPress: () => console.log("hello there") }, intent)))))))))));
})
    .add("disabled", () => {
    const variants = ["default", "ghost", "outline"];
    const intents = [
        "none",
        "primary",
        "success",
        "danger",
        "warning"
    ];
    return (react_1.jsx("div", null, variants.map(variant => {
        return (react_1.jsx("div", { key: variant }, intents.map(intent => (react_1.jsx(Button_1.Button, { key: intent, css: { margin: "1rem" }, intent: intent, disabled: true, variant: variant }, intent)))));
    })));
})
    .add("with icons", () => (react_1.jsx("div", { css: {
        "& > *": {
            margin: Theme_1.default.spaces.md
        }
    } },
    react_1.jsx(Button_1.Button, { iconBefore: react_1.jsx(Icons_1.IconArrowLeft, null) }, "Icon before"),
    react_1.jsx(Button_1.Button, { iconAfter: react_1.jsx(Icons_1.IconArrowRight, null) }, "Icon after"),
    react_1.jsx(Button_1.Button, { iconBefore: react_1.jsx(Icons_1.IconArrowLeft, null), iconAfter: react_1.jsx(Icons_1.IconArrowRight, null) }, "Icon before and after"),
    react_1.jsx(Button_1.Button, { iconAfter: react_1.jsx(Icons_1.IconArrowRight, null), intent: "primary" }, "Icon after"),
    react_1.jsx(Button_1.Button, { component: "a", href: "#", iconAfter: react_1.jsx(Icons_1.IconArrowRight, null), intent: "primary" }, "Icon after anchor"),
    react_1.jsx(Button_1.Button, { iconAfter: react_1.jsx(Icons_1.IconArrowRight, null), intent: "primary", variant: "outline" }, "Icon after"),
    react_1.jsx(Button_1.Button, { iconAfter: react_1.jsx(Icons_1.IconArrowRight, null), intent: "primary", variant: "ghost" }, "Icon after"),
    ["xs", "sm", "md", "lg", "xl"].map(size => {
        return (react_1.jsx(Button_1.Button, { key: size, size: size, iconAfter: react_1.jsx(Icons_1.IconArrowRight, null), intent: "primary", variant: "outline" }, "Icon after"));
    }))))
    .add("block", () => {
    return (react_1.jsx("div", { css: {
            margin: "1rem",
            "& > *": {
                maxWidth: "300px",
                marginTop: Theme_1.default.spaces.md
            }
        } },
        react_1.jsx(Button_1.Button, { block: true }, "Hello"),
        react_1.jsx(Button_1.Button, { block: true, iconBefore: react_1.jsx(Icons_1.IconArrowRight, null) }, "with icon before"),
        react_1.jsx(Button_1.Button, { block: true, iconAfter: react_1.jsx(Icons_1.IconArrowRight, null) }, "With icon after"),
        react_1.jsx(Button_1.Button, { block: true, iconBefore: react_1.jsx(Icons_1.IconArrowRight, null), iconAfter: react_1.jsx(Icons_1.IconArrowRight, null) }, "Two icons"),
        react_1.jsx(Button_1.Button, { component: "a", href: "@", block: true, iconAfter: react_1.jsx(Icons_1.IconArrowRight, null) }, "Anchor icon after")));
})
    .add("contrast checks", () => {
    return react_1.jsx(ContrastExample, null);
});
function ContrastExample() {
    const theme = Providers_1.useTheme();
    return (react_1.jsx(Providers_1.DarkMode, null,
        react_1.jsx(React.Fragment, null,
            react_1.jsx("div", { css: {
                    padding: "2rem",
                    background: theme.colors.intent.none.base,
                    "& > *": { margin: "1rem" }
                } },
                react_1.jsx(Button_1.Button, null, "Hello world"),
                react_1.jsx(Button_1.Button, { intent: "primary" }, "Primary"),
                react_1.jsx(Button_1.Button, { intent: "success" }, "Success"),
                react_1.jsx(Button_1.Button, { intent: "warning" }, "Warning"),
                react_1.jsx(Button_1.Button, { intent: "danger" }, "Warning")),
            react_1.jsx(Providers_1.LightMode, null,
                react_1.jsx("div", { css: {
                        padding: "2rem",
                        background: theme.colors.background.tint2,
                        "& > *": { margin: "1rem" }
                    } },
                    react_1.jsx(Button_1.Button, null, "Hello world"),
                    react_1.jsx(Button_1.Button, { intent: "primary" }, "Primary"),
                    react_1.jsx(Button_1.Button, { intent: "success" }, "Success"),
                    react_1.jsx(Button_1.Button, { intent: "warning" }, "Warning"),
                    react_1.jsx(Button_1.Button, { intent: "danger" }, "Warning"))),
            react_1.jsx("div", { css: {
                    padding: "2rem",
                    background: theme.colors.intent.primary.dark,
                    "& > *": { margin: "1rem" }
                } },
                react_1.jsx(Button_1.Button, null, "Hello world"),
                react_1.jsx(Button_1.Button, { intent: "primary" }, "Primary"),
                react_1.jsx(Button_1.Button, { intent: "success" }, "Success"),
                react_1.jsx(Button_1.Button, { intent: "warning" }, "Warning"),
                react_1.jsx(Button_1.Button, { intent: "danger" }, "Warning")))));
}
