"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComboBoxStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const Avatar_1 = require("../Avatar");
const faker_1 = tslib_1.__importDefault(require("faker"));
const react_2 = require("@storybook/react");
const ComboBox_1 = require("../ComboBox");
const Form_1 = require("../Form");
const Text_1 = require("../Text");
const List_1 = require("../List");
exports.ComboBoxStories = react_2.storiesOf("ComboBox", module)
    .add("basic", () => {
    return react_1.jsx(Example, null);
})
    .add("list item", () => react_1.jsx(CustomExample, null));
const defaultEntries = new Array(100).fill(null).map(() => ({
    id: faker_1.default.random.uuid(),
    name: faker_1.default.name.firstName() + " " + faker_1.default.name.lastName(),
    image: faker_1.default.image.avatar()
}));
function Example() {
    const [entries, setEntries] = React.useState(defaultEntries);
    const [query, setQuery] = React.useState("");
    const toRender = !query
        ? []
        : entries
            .filter(entry => entry.name.toLowerCase().indexOf(query.toLowerCase()) > -1)
            .slice(0, 10);
    return (react_1.jsx("div", { css: { margin: "3rem auto", width: "30rem" } },
        react_1.jsx(ComboBox_1.ComboBox, { autocomplete: true, query: query, onQueryChange: v => {
                setQuery(v);
            }, onSelect: v => {
                setQuery(v);
            } },
            react_1.jsx(ComboBox_1.ComboBoxInput, { "aria-label": "Query users", placeholder: "Search for users" }),
            query && (react_1.jsx(ComboBox_1.ComboBoxList, { "aria-label": "Query users" }, toRender.length ? (toRender.map(entry => {
                return react_1.jsx(ComboBox_1.ComboBoxOption, { value: entry.name, key: entry.id });
            })) : (react_1.jsx("div", null,
                react_1.jsx(Text_1.Text, { muted: true, css: { display: "block", padding: "0.5rem 0.75rem" } }, query && toRender.length === 0 ? (react_1.jsx("span", null, "No entries found.")) : (react_1.jsx("span", null, "Try searching for users by email or name."))))))))));
}
function CustomExample() {
    const [entries, setEntries] = React.useState(defaultEntries);
    const [query, setQuery] = React.useState("");
    const toRender = !query
        ? []
        : entries
            .filter(entry => entry.name.toLowerCase().indexOf(query.toLowerCase()) > -1)
            .slice(0, 8);
    return (react_1.jsx("div", { css: { margin: "3rem auto", width: "30rem" } },
        react_1.jsx(ComboBox_1.ComboBox, { query: query, onQueryChange: v => {
                setQuery(v);
            }, onSelect: v => {
                setQuery(v);
            } },
            react_1.jsx(ComboBox_1.ComboBoxInput, { "aria-label": "Query users", placeholder: "Search for users", component: Form_1.InputBase, autocomplete: true }),
            query && (react_1.jsx(ComboBox_1.ComboBoxList, { "aria-label": "Query users" }, toRender.length ? (toRender.map(entry => {
                return (react_1.jsx(ComboBox_1.ComboBoxOption, { css: { padding: 0 }, value: entry.name, key: entry.id },
                    react_1.jsx(List_1.ListItem, { interactive: false, primary: react_1.jsx(ComboBox_1.ComboBoxOptionText, { value: entry.name }), contentBefore: react_1.jsx(Avatar_1.Avatar, { size: "sm", name: entry.name, src: entry.image }) })));
            })) : (react_1.jsx("div", null,
                react_1.jsx(Text_1.Text, { muted: true, css: { display: "block", padding: "0.5rem 0.75rem" } }, query && toRender.length === 0 ? (react_1.jsx("span", null, "No entries found.")) : (react_1.jsx("span", null, "Try searching for users by email or name."))))))))));
}
