"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const Form_1 = require("../Form");
const Button_1 = require("../Button");
const Theme_1 = tslib_1.__importDefault(require("../Theme"));
const Layer_1 = require("../Layer");
const react_2 = require("@storybook/react");
const Icons_1 = require("../Icons");
const IconButton_1 = require("../IconButton");
exports.FormStories = react_2.storiesOf("Forms", module)
    .add("input types", () => (react_1.jsx("div", { css: {
        display: "flex",
        justifyContent: "center",
        paddingTop: Theme_1.default.spaces.xl,
        paddingBottom: Theme_1.default.spaces.xl
    } },
    react_1.jsx(Layer_1.Layer, { css: { maxWidth: "400px", width: "100%" }, elevation: "lg" },
        react_1.jsx("form", { css: { padding: Theme_1.default.spaces.lg } },
            react_1.jsx(Form_1.InputGroup, { error: "Required field", label: "Email address" },
                react_1.jsx(Form_1.Input, { placeholder: "ben.mcmahen@gmail.com" })),
            react_1.jsx(Form_1.InputGroup, { label: "Gender" },
                react_1.jsx(Form_1.Select, null,
                    react_1.jsx("option", null, "Male"),
                    react_1.jsx("option", null, "Female"),
                    react_1.jsx("option", null, "Other"))),
            react_1.jsx(Form_1.InputGroup, { label: "Gender" },
                react_1.jsx("div", null,
                    react_1.jsx(Form_1.Check, { label: "Male", checked: true }),
                    react_1.jsx(Form_1.Check, { label: "Female" }),
                    react_1.jsx(Form_1.Check, { label: "Other" }))),
            react_1.jsx(Form_1.InputGroup, { label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                react_1.jsx(Form_1.TextArea, { placeholder: "Something about me" })),
            react_1.jsx("div", { css: { textAlign: "right", marginTop: `${Theme_1.default.spaces.md}` } },
                react_1.jsx(Button_1.Button, { intent: "primary" }, "Submit")))))))
    .add("sizes", () => {
    return (react_1.jsx("div", { css: {
            margin: "2rem",
            width: "800px",
            "& > div": {
                padding: "1rem",
                "& > *": {
                    margin: "1rem"
                }
            }
        } },
        react_1.jsx("div", null,
            react_1.jsx(Form_1.Input, { css: { display: "inline-block", width: "auto" }, defaultValue: "hello world", inputSize: "sm" }),
            react_1.jsx(Button_1.Button, { size: "sm" }, "Small"),
            react_1.jsx(Button_1.Button, { component: "a", href: "#", size: "sm" }, "Small"),
            react_1.jsx(Button_1.Button, { component: "a", href: "#", size: "sm", iconAfter: react_1.jsx(Icons_1.IconArrowRight, null) }, "Small")),
        react_1.jsx("div", { css: { display: "flex", alignItems: "cente" } },
            react_1.jsx(Form_1.Input, { css: { display: "inline-block", width: "auto" }, defaultValue: "hello world", inputSize: "md" }),
            react_1.jsx(Button_1.Button, { size: "md" }, "Medium"),
            react_1.jsx(Button_1.Button, { component: "a", href: "#", size: "md" }, "Medium"),
            react_1.jsx(Button_1.Button, { component: "a", href: "#", size: "md", iconAfter: react_1.jsx(Icons_1.IconArrowRight, null) }, "Medium"),
            react_1.jsx(IconButton_1.IconButton, { icon: react_1.jsx(Icons_1.IconAlignCenter, null), label: "Align center" })),
        react_1.jsx("div", null,
            react_1.jsx(Form_1.Input, { css: { display: "inline-block", width: "auto" }, defaultValue: "hello world", inputSize: "lg" }),
            react_1.jsx(Button_1.Button, { size: "lg" }, "Large"),
            react_1.jsx(Button_1.Button, { component: "a", href: "#", size: "lg" }, "Large"),
            react_1.jsx(Button_1.Button, { component: "a", href: "#", size: "lg", iconAfter: react_1.jsx(Icons_1.IconArrowRight, null) }, "Large")),
        react_1.jsx("div", null)));
})
    .add("disabled states", () => (react_1.jsx("div", { css: {
        display: "flex",
        justifyContent: "center",
        paddingTop: Theme_1.default.spaces.xl,
        paddingBottom: Theme_1.default.spaces.xl
    } },
    react_1.jsx("div", { css: { overflowX: "auto" } },
        react_1.jsx("form", { css: { display: "flex", padding: Theme_1.default.spaces.lg } },
            react_1.jsx("div", { css: { minWidth: "300px", margin: "1rem" } },
                react_1.jsx(Form_1.InputGroup, { label: "Email address" },
                    react_1.jsx(Form_1.Input, { placeholder: "ben.mcmahen@gmail.com" })),
                react_1.jsx(Form_1.InputGroup, { label: "Email address" },
                    react_1.jsx(Form_1.Input, { disabled: true, placeholder: "ben.mcmahen@gmail.com" })),
                react_1.jsx(Form_1.InputGroup, { error: "This field is required", label: "Email address" },
                    react_1.jsx(Form_1.Input, { placeholder: "ben.mcmahen@gmail.com" }))),
            react_1.jsx("div", { css: { minWidth: "300px", margin: "1rem" } },
                react_1.jsx(Form_1.InputGroup, { label: "Gender" },
                    react_1.jsx(Form_1.Select, null,
                        react_1.jsx("option", null, "Male"),
                        react_1.jsx("option", null, "Female"),
                        react_1.jsx("option", null, "Other"))),
                react_1.jsx(Form_1.InputGroup, { label: "Gender" },
                    react_1.jsx(Form_1.Select, { disabled: true },
                        react_1.jsx("option", null, "Male"),
                        react_1.jsx("option", null, "Female"),
                        react_1.jsx("option", null, "Other"))),
                react_1.jsx(Form_1.InputGroup, { error: "This field is required", label: "Gender" },
                    react_1.jsx(Form_1.Select, null,
                        react_1.jsx("option", null, "Male"),
                        react_1.jsx("option", null, "Female"),
                        react_1.jsx("option", null, "Other")))),
            react_1.jsx("div", { css: { minWidth: "150px", margin: "1rem" } },
                react_1.jsx(Form_1.InputGroup, { label: "Gender" },
                    react_1.jsx("div", null,
                        react_1.jsx(Form_1.Check, { disabled: true, label: "Male", checked: true }),
                        react_1.jsx(Form_1.Check, { label: "Female" }),
                        react_1.jsx(Form_1.Check, { label: "Other" }))),
                react_1.jsx(Form_1.InputGroup, { error: "You must select a gender", label: "Gender" },
                    react_1.jsx("div", null,
                        react_1.jsx(Form_1.Check, { disabled: true, label: "Male", checked: true }),
                        react_1.jsx(Form_1.Check, { label: "Female" }),
                        react_1.jsx(Form_1.Check, { label: "Other" })))),
            react_1.jsx("div", { css: { minWidth: "300px", margin: "1rem" } },
                react_1.jsx(Form_1.InputGroup, { label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                    react_1.jsx(Form_1.TextArea, { placeholder: "Something about me" })),
                react_1.jsx(Form_1.InputGroup, { label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                    react_1.jsx(Form_1.TextArea, { disabled: true, placeholder: "Something about me" })),
                react_1.jsx(Form_1.InputGroup, { error: "This field is required", label: "Example textarea", helpText: "Please provide a brief description of yourself. This will go on your profile." },
                    react_1.jsx(Form_1.TextArea, { placeholder: "Something about me" })),
                react_1.jsx("div", { css: { textAlign: "right", marginTop: `${Theme_1.default.spaces.md}` } },
                    react_1.jsx(Button_1.Button, { disabled: true, intent: "primary" }, "Submit"))))))));
