"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExampleList = exports.CollapseStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const List_1 = require("../List");
const react_2 = require("@storybook/react");
const Layer_1 = require("../Layer");
const Theme_1 = tslib_1.__importDefault(require("../Theme"));
const faker_1 = tslib_1.__importDefault(require("faker"));
const Avatar_1 = require("../Avatar");
const Divider_1 = require("../Divider");
exports.CollapseStories = react_2.storiesOf("List", module)
    .add("basic", () => {
    return (react_1.jsx("div", null,
        react_1.jsx(Layer_1.Layer, { elevation: "sm", css: { overflow: "hidden", width: "100%", borderRadius: 0 } },
            react_1.jsx(List_1.List, null,
                react_1.jsx(List_1.ListSection, { title: "Hello world" },
                    react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Ben McMahen", secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
                    react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." })),
                react_1.jsx(Divider_1.Divider, { muted: true }),
                react_1.jsx(List_1.ListSection, { title: "Hello world" },
                    react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
                    react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))))));
})
    .add("no wrap", () => {
    return (react_1.jsx(Layer_1.Layer, { css: { overflow: "hidden", width: "450px" } },
        react_1.jsx("div", { css: {
                height: "1.5rem",
                borderBottom: "1px solid",
                borderBottomColor: Theme_1.default.colors.border.muted
            } }),
        react_1.jsx(List_1.List, null,
            react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Ben McMahen", wrap: false, secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
            react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))));
})
    .add("support links", () => {
    return (react_1.jsx(Layer_1.Layer, { css: { overflow: "hidden", width: "450px" } },
        react_1.jsx("div", { css: {
                height: "1.5rem",
                borderBottom: "1px solid",
                borderBottomColor: Theme_1.default.colors.border.muted
            } }),
        react_1.jsx(List_1.List, null,
            react_1.jsx(List_1.ListItem, { component: "a", href: "/", contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Ben McMahen", wrap: false, secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
            react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
            react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Joe Chen", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }))));
})
    .add("Single label", () => (react_1.jsx(List_1.List, null,
    react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen", src: faker_1.default.image.avatar() }), primary: "Ben McMahen", wrap: false }))));
const ExampleList = () => (react_1.jsx(List_1.List, null,
    react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Ben McMahen" }), primary: "Ben McMahen", wrap: false, secondary: "Minim do minim cupidatat veniam aliquip sunt exercitation enim nisi nulla." }),
    react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Charles Taylor" }), primary: "Charles Taylor", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Karl Marx" }), primary: "Karl Marx", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Roger Scruton" }), primary: "Roger Scruton", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Martha Nussbaum" }), primary: "Martha Nussbaum", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "David Hume" }), primary: "David Hume", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." }),
    react_1.jsx(List_1.ListItem, { wrap: false, contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Simone de Beauvior" }), primary: "Simone de Beauvoir", secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit." })));
exports.ExampleList = ExampleList;
