"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuStories = void 0;
/** @jsx jsx */
const react_1 = require("@emotion/react");
const Menu_1 = require("../Menu");
const react_2 = require("@storybook/react");
const Icons_1 = require("../Icons");
exports.MenuStories = react_2.storiesOf("MenuList", module)
    .add("keyboard controls", () => {
    return (react_1.jsx(Menu_1.MenuList, { css: { maxWidth: "340px" } },
        react_1.jsx(Menu_1.MenuItem, null, "Hello world number 1"),
        react_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
        react_1.jsx(Menu_1.MenuItem, { disabled: true }, "Hello world number 2"),
        react_1.jsx(Menu_1.MenuItem, { onSelect: () => {
                alert("selected!");
            } }, "try selecting me"),
        react_1.jsx(Menu_1.MenuItem, null, "Hello world number 2"),
        react_1.jsx(Menu_1.MenuDivider, null),
        react_1.jsx(Menu_1.MenuLabel, null, "Some label"),
        react_1.jsx(Menu_1.MenuItem, { contentAfter: "\u2318R" }, "Hello world number 2"),
        react_1.jsx(Menu_1.MenuItem, { contentAfter: react_1.jsx(Icons_1.IconAirplay, null) }, "Hello world number 2")));
})
    .add("with icons", () => {
    return (react_1.jsx(Menu_1.MenuList, { css: { maxWidth: "400px", width: "100%" } },
        react_1.jsx(Menu_1.MenuItem, { contentBefore: react_1.jsx(Icons_1.IconUser, null) }, "Share"),
        react_1.jsx(Menu_1.MenuItem, { contentBefore: react_1.jsx(Icons_1.IconAlertCircle, null) }, "Alert"),
        react_1.jsx(Menu_1.MenuDivider, null),
        react_1.jsx(Menu_1.MenuLabel, null, "Danger actions"),
        react_1.jsx(Menu_1.MenuItem, { contentAfter: "\u2318R", contentBefore: react_1.jsx(Icons_1.IconDelete, null) }, "Delete with an extrodinarily long title"),
        react_1.jsx(Menu_1.MenuItem, { contentAfter: "\u2318R" }, "Delete with an extrodinarily long title"),
        react_1.jsx(Menu_1.MenuItem, null, "Delete with an extrodinarily long title that still overflows")));
});
