"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PopoverStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const React = tslib_1.__importStar(require("react"));
const Popover_1 = require("../Popover");
const Button_1 = require("../Button");
const Menu_1 = require("../Menu");
const IconButton_1 = require("../IconButton");
const react_2 = require("@storybook/react");
const Icons_1 = require("../Icons");
const Link = React.forwardRef((props, ref) => (react_1.jsx("div", Object.assign({ ref: ref, css: {
        ":focus": {
            backgroundColor: "blue"
        }
    } }, props), props.children)));
exports.PopoverStories = react_2.storiesOf("Popover", module)
    .add("Focus management", () => {
    return (react_1.jsx("div", null,
        react_1.jsx("div", { css: { padding: "300px", background: "#eee" } },
            react_1.jsx(Popover_1.Popover, { content: react_1.jsx("div", { css: { padding: "2rem" } },
                    react_1.jsx(Button_1.Button, null, "I should focus")) },
                react_1.jsx(Button_1.Button, null, "Hello world!")))));
})
    .add("positions", () => {
    return (react_1.jsx("div", null, [
        "auto-start",
        "auto",
        "auto-end",
        "top-start",
        "top",
        "top-end",
        "right-start",
        "right",
        "right-end",
        "bottom-end",
        "bottom",
        "bottom-start",
        "left-end",
        "left",
        "left-start"
    ].map(placement => (react_1.jsx("div", { css: { marginTop: "1rem", textAlign: "center" }, key: placement },
        react_1.jsx(Popover_1.Popover, { placement: placement, content: react_1.jsx(Menu_1.MenuList, null,
                react_1.jsx(Menu_1.MenuItem, { onSelect: () => alert("Hello 1") }, "I will trigger an alert"),
                react_1.jsx(Menu_1.MenuItem, { component: "a", href: "/bacon" }, "I'm a link"),
                react_1.jsx(Menu_1.MenuDivider, null),
                react_1.jsx(Menu_1.MenuItem, null, "Item three")) },
            react_1.jsx(Button_1.Button, null, placement)))))));
})
    .add("Dropdown menu", () => {
    return (react_1.jsx("div", { css: { padding: "300px", minHeight: "80vh" } },
        react_1.jsx(Popover_1.Popover, { content: react_1.jsx(Menu_1.MenuList, null,
                react_1.jsx(Menu_1.MenuItem, { onPress: () => alert("Hello 1") }, "I will trigger an alert"),
                react_1.jsx(Menu_1.MenuItem, { component: "a", href: "/bacon" }, "I'm a link"),
                react_1.jsx(Menu_1.MenuDivider, null),
                react_1.jsx(Menu_1.MenuItem, null, "Item three")) },
            react_1.jsx(Button_1.Button, null, "I should trigger popover"))));
})
    .add("Triggered with an icon button", () => {
    return (react_1.jsx("div", { css: { padding: "300px", minHeight: "150vh", background: "#eee" } },
        react_1.jsx(Popover_1.Popover, { content: react_1.jsx(Menu_1.MenuList, null,
                react_1.jsx(Menu_1.MenuItem, { onSelect: () => alert("Hello 1") }, "Item one"),
                react_1.jsx(Menu_1.MenuItem, null, "Item three"),
                react_1.jsx(Menu_1.MenuDivider, null),
                react_1.jsx(Menu_1.MenuItem, null, "Item three"),
                react_1.jsx(Menu_1.MenuItem, null, "Item three"),
                react_1.jsx(Menu_1.MenuItem, null, "Item three")) },
            react_1.jsx(IconButton_1.IconButton, { variant: "ghost", icon: react_1.jsx(Icons_1.IconMoreHorizontal, null), label: "show more" }))));
})
    .add("ResponsivePopover", () => {
    return (react_1.jsx("div", { css: { padding: "1rem" } },
        react_1.jsx(Popover_1.ResponsivePopover, { content: react_1.jsx(Menu_1.MenuList, null,
                react_1.jsx(Menu_1.MenuItem, { contentBefore: react_1.jsx(Icons_1.IconUser, null), onSelect: () => alert("Hello 1") }, "Drink coffee"),
                react_1.jsx(Menu_1.MenuItem, { contentBefore: react_1.jsx(Icons_1.IconPackage, null) }, "Eat pancakes"),
                react_1.jsx(Menu_1.MenuDivider, null),
                react_1.jsx(Menu_1.MenuItem, { contentBefore: react_1.jsx(Icons_1.IconMapPin, null) }, "Make pizza"),
                react_1.jsx(Menu_1.MenuItem, { contentBefore: react_1.jsx(Icons_1.IconActivity, null) }, "Dance my heart out"),
                react_1.jsx(Menu_1.MenuItem, { contentBefore: react_1.jsx(Icons_1.IconArrowUpRight, null) }, "Anything you ask")) },
            react_1.jsx(IconButton_1.IconButton, { variant: "ghost", icon: react_1.jsx(Icons_1.IconMoreHorizontal, null), label: "show more" }))));
});
