"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScrollViewStories = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const react_2 = require("@storybook/react");
const react_3 = require("react");
const Pager_1 = require("../Pager");
const ScrollView_1 = require("../ScrollView");
const React = tslib_1.__importStar(require("react"));
const Layer_1 = require("../Layer");
const Toolbar_1 = require("../Toolbar");
const Text_1 = require("../Text");
const Tabs_1 = require("../Tabs");
const List_1 = require("../List");
const Avatar_1 = require("../Avatar");
const Badge_1 = require("../Badge");
const faker = tslib_1.__importStar(require("faker"));
exports.ScrollViewStories = react_2.storiesOf("ScrollView", module)
    .add("within gesture", () => {
    return react_1.jsx(Example, null);
})
    .add("overflowY", () => react_1.jsx(Direction, null))
    .add("animated scroll", () => react_1.jsx(AnimatedScroll, null))
    .add("tabs example", () => react_1.jsx(TabsExample, null));
function Example() {
    const [index, setIndex] = react_3.useState(0);
    return (react_1.jsx("div", { css: { width: "200px" } },
        react_1.jsx(Pager_1.Pager, { css: { height: "400px " }, value: index, onRequestChange: i => setIndex(i) },
            react_1.jsx("div", { css: { flex: 1, background: "green" } },
                react_1.jsx(ScrollView_1.ScrollView, { overflowX: true },
                    react_1.jsx("div", { css: { width: "300px", background: "yellow" } }, "this scrolls i guess expe Aute fugiat esse nulla enim esse reprehenderit do."))),
            react_1.jsx("div", { css: { flex: 1, background: "red" } }))));
}
function Direction() {
    const [index, setIndex] = react_3.useState(0);
    return (react_1.jsx("div", { css: { width: "200px" } },
        react_1.jsx(Pager_1.Pager, { css: { height: "400px " }, value: index, onRequestChange: i => setIndex(i) },
            react_1.jsx("div", { css: { flex: 1, background: "green" } },
                react_1.jsx(ScrollView_1.ScrollView, { overflowY: true, css: { height: "200px" } },
                    react_1.jsx("div", { css: { height: "400px", background: "yellow" } }, "this scrolls i guess expe Aute fugiat esse nulla enim esse reprehenderit do."))),
            react_1.jsx("div", { css: { flex: 1, background: "red" } }))));
}
function AnimatedScroll() {
    const ref = react_3.useRef(null);
    function scroll() {
        console.log(ref);
        ref.current.scrollTo(undefined, 400);
    }
    return (react_1.jsx(ScrollView_1.ScrollView, { css: { height: "300px" }, overflowY: true, innerRef: ref },
        react_1.jsx("div", { css: { height: "600px" } },
            "some scroll content",
            react_1.jsx("button", { onClick: scroll }, "scroll to 300")),
        react_1.jsx(React.Fragment, null,
            react_1.jsx("button", { onClick: () => ref.current.scrollTo(undefined, 0) }, "scroll to 0"))));
}
function TabsExample() {
    const [tab, setTab] = react_3.useState(0);
    return (react_1.jsx(Layer_1.Layer, { className: "List-example" },
        react_1.jsx(Toolbar_1.Toolbar, { className: "List-toolbar" },
            react_1.jsx(Text_1.Text, { gutter: false, variant: "h6" }, "My Chat App")),
        react_1.jsx(Tabs_1.Tabs, { variant: "evenly-spaced", onChange: i => setTab(i), value: tab },
            react_1.jsx(Tabs_1.Tab, { id: "family" }, "Family"),
            react_1.jsx(Tabs_1.Tab, { id: "work" }, "Work"),
            react_1.jsx(Tabs_1.Tab, { id: "fav" }, "Favorites"),
            react_1.jsx(Tabs_1.Tab, { id: "groups" }, "Groups")),
        react_1.jsx("div", null,
            react_1.jsx(List_1.List, null,
                react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Lynn Apple", src: faker.image.avatar() }), primary: "Lynn Apple", wrap: false, secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit.", contentAfter: react_1.jsx(Badge_1.Badge, null, "1") }),
                react_1.jsx(List_1.ListItem, { contentBefore: react_1.jsx(Avatar_1.Avatar, { name: "Mary Joe", src: faker.image.avatar() }), primary: "Mary Joe", wrap: false, secondary: "Proident irure cupidatat cupidatat elit eiusmod mollit.", contentAfter: react_1.jsx(Badge_1.Badge, null, "4") })))));
}
