"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThemeExamples = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const react_2 = require("@storybook/react");
const faker = tslib_1.__importStar(require("faker"));
const Providers_1 = require("../Theme/Providers");
const React = tslib_1.__importStar(require("react"));
const index_1 = require("../index");
const ScrollView_1 = require("../ScrollView");
const List_1 = require("../List");
const Icons_1 = require("../Icons");
const IconButton_1 = require("../IconButton");
const Avatar_1 = require("../Avatar");
function getUser() {
    faker.seed(0);
    return {
        name: faker.name.firstName() + " " + faker.name.lastName(),
        uid: faker.random.uuid(),
        description: faker.lorem.sentence()
    };
}
function ListDetail() {
    const theme = Providers_1.useTheme();
    const [index, setIndex] = React.useState(0);
    const [items, setItems] = React.useState(Array.from(new Array(10)).map(() => getUser()));
    function next() {
        setIndex(index + 1);
    }
    function onChange(i) {
        setIndex(i);
    }
    return (react_1.jsx("div", { style: {
            display: "flex",
            justifyContent: "center",
            padding: "2rem"
        } },
        react_1.jsx("div", { style: {
                border: `1px solid ${theme.colors.border.default}`,
                height: "500px",
                width: "400px",
                overflow: "hidden"
            } },
            react_1.jsx(index_1.Stack, { navHeight: 60, style: {
                    height: "100%",
                    width: "100%"
                }, items: [
                    {
                        title: react_1.jsx(index_1.StackTitle, { title: "Contacts" }),
                        content: (react_1.jsx(index_1.StackItem, null,
                            react_1.jsx(ScrollView_1.ScrollView, { css: { flex: 1 }, overflowY: true },
                                react_1.jsx(List_1.List, null,
                                    react_1.jsx(List_1.ListItem, { onPress: () => setIndex(index + 1), primary: "All", contentAfter: react_1.jsx(Icons_1.IconChevronRight, { color: theme.colors.text.muted }) }),
                                    react_1.jsx(List_1.ListItem, { onPress: () => setIndex(index + 1), primary: "Family", contentAfter: react_1.jsx(Icons_1.IconChevronRight, { color: theme.colors.text.muted }) }),
                                    react_1.jsx(List_1.ListItem, { onPress: () => setIndex(index + 1), primary: "Friends", contentAfter: react_1.jsx(Icons_1.IconChevronRight, { color: theme.colors.text.muted }) })))))
                    },
                    {
                        title: (react_1.jsx(index_1.StackTitle, { title: "Family", contentAfter: react_1.jsx(IconButton_1.IconButton, { variant: "ghost", label: "Add", icon: react_1.jsx(Icons_1.IconPlus, null) }) })),
                        content: (react_1.jsx(index_1.StackItem, null,
                            react_1.jsx("div", { style: {
                                    flexDirection: "column",
                                    display: "flex",
                                    height: "100%"
                                } },
                                react_1.jsx(ScrollView_1.ScrollView, { css: { flex: 1, height: "100%" }, overflowY: true },
                                    react_1.jsx(List_1.List, null, items.map(item => (react_1.jsx(List_1.ListItem, { key: item.uid, onPress: () => setIndex(index + 1), contentBefore: react_1.jsx(Avatar_1.Avatar, { name: item.name }), primary: item.name, secondary: item.description, contentAfter: react_1.jsx(Icons_1.IconChevronRight, { color: theme.colors.text.muted }) }))))))))
                    },
                    {
                        title: react_1.jsx(index_1.StackTitle, { title: "I'm in a tree!" }),
                        content: (react_1.jsx(index_1.StackItem, null,
                            react_1.jsx("div", { style: {
                                    flexDirection: "column",
                                    display: "flex",
                                    height: "100%",
                                    backgroundImage: "url(https://images.unsplash.com/photo-1562519776-b232435b73c1?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=634&q=80)",
                                    backgroundSize: "cover"
                                } })))
                    }
                ], onIndexChange: onChange, index: index }))));
}
exports.ThemeExamples = react_2.storiesOf("Stack", module)
    .add("Drilldown nav", () => react_1.jsx(ListDetail, null))
    .add("Without header", () => react_1.jsx(WithoutHeader, null));
function WithoutHeader() {
    const [index, setIndex] = React.useState(0);
    return (react_1.jsx(index_1.Stack, { index: index, disableNav: true, css: { height: "400px", width: "400px" }, items: [
            {
                title: null,
                content: (react_1.jsx(index_1.StackItem, { onClick: () => setIndex(index + 1), css: {
                        backgroundImage: `url(https://images.unsplash.com/photo-1556909114-44e3e70034e2?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1950&q=80)`,
                        backgroundSize: "cover"
                    } }))
            },
            {
                title: null,
                content: (react_1.jsx(index_1.StackItem, { css: {
                        backgroundImage: `url(https://images.unsplash.com/photo-1558980664-10e7170b5df9?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1951&q=80)`,
                        backgroundSize: "cover"
                    } }))
            },
            {
                title: null,
                content: (react_1.jsx(index_1.StackItem, { css: {
                        backgroundImage: `url(https://images.unsplash.com/photo-1562619398-e7a474328df3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1950&q=80)`,
                        backgroundSize: "cover"
                    } }))
            }
        ], onIndexChange: i => setIndex(i) }));
}
