"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableExamples = void 0;
const tslib_1 = require("tslib");
/** @jsx jsx */
const react_1 = require("@emotion/react");
const Theme_1 = tslib_1.__importDefault(require("../Theme"));
const react_2 = require("@storybook/react");
const Layer_1 = require("../Layer");
const Table_1 = require("../Table");
const Text_1 = require("../Text");
const Button_1 = require("../Button");
const Toolbar_1 = require("../Toolbar");
let id = 0;
function createData(name, calories, fat, carbs, protein) {
    id += 1;
    return { id, name, calories, fat, carbs, protein };
}
const rows = [
    createData("Frozen yoghurt", 159, 6.0, 24, 4.0),
    createData("Ice cream sandwich", 237, 9.0, 37, 4.3),
    createData("Eclair", 262, 16.0, 24, 6.0),
    createData("Cupcake", 305, 3.7, 67, 4.3),
    createData("Gingerbread", 356, 16.0, 49, 3.9)
];
exports.TableExamples = react_2.storiesOf("Tables", module)
    .add("Minimum size with scroll", () => (react_1.jsx("div", { css: { padding: "48px" } },
    react_1.jsx(Table_1.Table, { minWidth: "800px" },
        react_1.jsx(Table_1.TableHead, null,
            react_1.jsx(Table_1.TableRow, null,
                react_1.jsx(Table_1.TableCell, null, "Dessert (100g serving)"),
                react_1.jsx(Table_1.TableCell, { align: "right" }, "Calories"),
                react_1.jsx(Table_1.TableCell, { align: "right" }, "Fat (g)"),
                react_1.jsx(Table_1.TableCell, { align: "right" }, "Carbs (g)"),
                react_1.jsx(Table_1.TableCell, { align: "right" }, "Protein (g)"))),
        react_1.jsx(Table_1.TableBody, null, rows.map(row => (react_1.jsx(Table_1.TableRow, { key: row.id },
            react_1.jsx(Table_1.TableCell, { component: "th", scope: "row" }, row.name),
            react_1.jsx(Table_1.TableCell, { align: "right" }, row.calories),
            react_1.jsx(Table_1.TableCell, { align: "right" }, row.fat),
            react_1.jsx(Table_1.TableCell, { align: "right" }, row.carbs),
            react_1.jsx(Table_1.TableCell, { align: "right" }, row.protein)))))))))
    .add("Fixed layout", () => (react_1.jsx("div", { css: {
        minHeight: "100vh",
        background: Theme_1.default.colors.background.tint2,
        padding: "48px"
    } },
    react_1.jsx(Layer_1.Layer, { elevation: "sm", css: { overflow: "hidden" } },
        react_1.jsx(Toolbar_1.Toolbar, { css: {
                borderBottom: `1px solid ${Theme_1.default.colors.border.default}`,
                background: Theme_1.default.colors.background.tint1,
                justifyContent: "space-between"
            } },
            react_1.jsx(Text_1.Text, { css: { margin: 0 }, variant: "h4" }, "Ingredients"),
            react_1.jsx("div", null,
                react_1.jsx(Button_1.Button, { intent: "primary" }, "Add ingredient"))),
        react_1.jsx(Table_1.Table, { minWidth: "700px", fixed: ["200", "15%", "15%", "15%", "15%"] },
            react_1.jsx(Table_1.TableHead, null,
                react_1.jsx(Table_1.TableRow, null,
                    react_1.jsx(Table_1.TableCell, null, "Dessert (100g serving)"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "Calories"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "Fat (g)"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "Carbs (g)"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "Protein (g)"))),
            react_1.jsx(Table_1.TableBody, null,
                rows.map(row => (react_1.jsx(Table_1.TableRow, { key: row.id },
                    react_1.jsx(Table_1.TableCell, { component: "th", scope: "row" }, row.name),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, row.calories),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, row.fat),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, row.carbs),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, row.protein)))),
                react_1.jsx(Table_1.TableRow, null,
                    react_1.jsx(Table_1.TableCell, { component: "th", scope: "row" }, "With a really really really stupidly long name"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "10"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "30"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "49"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "122")))),
        react_1.jsx(Toolbar_1.Toolbar, { compressed: true, css: {
                background: Theme_1.default.colors.background.tint1
            } })))))
    .add("Expanding rows", () => (react_1.jsx("div", { css: {
        minHeight: "100vh",
        background: Theme_1.default.colors.background.tint2,
        padding: "48px"
    } },
    react_1.jsx(Layer_1.Layer, { elevation: "sm" },
        react_1.jsx(Toolbar_1.Toolbar, { css: {
                borderTopRightRadius: Theme_1.default.radii.lg,
                borderTopLeftRadius: Theme_1.default.radii.lg,
                borderBottom: `1px solid ${Theme_1.default.colors.border.default}`,
                background: Theme_1.default.colors.background.tint1,
                justifyContent: "space-between"
            } },
            react_1.jsx(Text_1.Text, { css: { margin: 0 }, variant: "h4" }, "Ingredients"),
            react_1.jsx("div", null,
                react_1.jsx(Button_1.Button, { intent: "primary" }, "Add ingredient"))),
        react_1.jsx(Table_1.Table, { fixed: ["200", "15%", "15%", "15%", "15%"] },
            react_1.jsx(Table_1.TableHead, null,
                react_1.jsx(Table_1.TableRow, null,
                    react_1.jsx(Table_1.TableCell, null, "Dessert (100g serving)"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "Calories"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "Fat (g)"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "Carbs (g)"),
                    react_1.jsx(Table_1.TableCell, { align: "right" }, "Protein (g)"))),
            rows.map(row => (react_1.jsx(Table_1.ExpandingRow, { content: close => {
                    return (react_1.jsx("div", { css: {
                            padding: Theme_1.default.spaces.lg,
                            paddingTop: 0,
                            paddingBottom: 0
                        } },
                        react_1.jsx(Text_1.Text, { variant: "body", css: { fontSize: Theme_1.default.fontSizes[0] } }, "Officia laborum deserunt adipisicing reprehenderit esse elit exercitation consectetur ad non. Enim reprehenderit mollit in commodo anim ex consequat magna laboris adipisicing esse. Fugiat adipisicing ut consequat ea cupidatat et excepteur sint excepteur cupidatat reprehenderit minim. Labore reprehenderit sint enim cillum exercitation ullamco nisi nostrud laboris ad magna magna officia magna. Officia nisi eiusmod non ea do ullamco anim fugiat proident commodo consectetur ut id. Ea cillum non voluptate ullamco sunt dolore esse mollit."),
                        react_1.jsx("div", { css: {
                                display: "flex",
                                marginTop: "1rem",
                                justifyContent: "flex-end"
                            } },
                            react_1.jsx(Button_1.Button, { variant: "ghost", css: { marginRight: Theme_1.default.spaces.sm }, onClick: close }, "Cancel"),
                            react_1.jsx(Button_1.Button, { intent: "primary" }, "Save"))));
                }, key: row.id },
                react_1.jsx(Table_1.TableCell, { component: "th", scope: "row" }, row.name),
                react_1.jsx(Table_1.TableCell, { align: "right" }, row.calories),
                react_1.jsx(Table_1.TableCell, { align: "right" }, row.fat),
                react_1.jsx(Table_1.TableCell, { align: "right" }, row.carbs),
                react_1.jsx(Table_1.TableCell, { align: "right" }, row.protein))))),
        react_1.jsx(Toolbar_1.Toolbar, { compressed: true, css: {
                borderBottomRightRadius: Theme_1.default.radii.lg,
                borderBottomLeftRadius: Theme_1.default.radii.lg,
                background: Theme_1.default.colors.background.tint1
            } })))));
