import { __rest } from "tslib";
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
import { jsx } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconCoffee = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = __rest(_a, ["color", "size"]);
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        jsx("path", { d: "M18 8h1a4 4 0 0 1 0 8h-1" }),
        jsx("path", { d: "M2 8h16v9a4 4 0 0 1-4 4H6a4 4 0 0 1-4-4V8z" }),
        jsx("line", { x1: "6", y1: "1", x2: "6", y2: "4" }),
        jsx("line", { x1: "10", y1: "1", x2: "10", y2: "4" }),
        jsx("line", { x1: "14", y1: "1", x2: "14", y2: "4" })));
};
IconCoffee.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
