import { __rest } from "tslib";
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
import { jsx } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconCreditCard = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = __rest(_a, ["color", "size"]);
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        jsx("rect", { x: "1", y: "4", width: "22", height: "16", rx: "2", ry: "2" }),
        jsx("line", { x1: "1", y1: "10", x2: "23", y2: "10" })));
};
IconCreditCard.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
