import { __rest } from "tslib";
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
import { jsx } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconLoader = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = __rest(_a, ["color", "size"]);
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        jsx("line", { x1: "12", y1: "2", x2: "12", y2: "6" }),
        jsx("line", { x1: "12", y1: "18", x2: "12", y2: "22" }),
        jsx("line", { x1: "4.93", y1: "4.93", x2: "7.76", y2: "7.76" }),
        jsx("line", { x1: "16.24", y1: "16.24", x2: "19.07", y2: "19.07" }),
        jsx("line", { x1: "2", y1: "12", x2: "6", y2: "12" }),
        jsx("line", { x1: "18", y1: "12", x2: "22", y2: "12" }),
        jsx("line", { x1: "4.93", y1: "19.07", x2: "7.76", y2: "16.24" }),
        jsx("line", { x1: "16.24", y1: "7.76", x2: "19.07", y2: "4.93" })));
};
IconLoader.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
