import { __rest } from "tslib";
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
import { jsx } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconMove = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = __rest(_a, ["color", "size"]);
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        jsx("polyline", { points: "5 9 2 12 5 15" }),
        jsx("polyline", { points: "9 5 12 2 15 5" }),
        jsx("polyline", { points: "15 19 12 22 9 19" }),
        jsx("polyline", { points: "19 9 22 12 19 15" }),
        jsx("line", { x1: "2", y1: "12", x2: "22", y2: "12" }),
        jsx("line", { x1: "12", y1: "2", x2: "12", y2: "22" })));
};
IconMove.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
