import { __rest } from "tslib";
/** @jsx jsx */
/** Do not edit this file directly. Edit the template in scripts/icon-template.ejs **/
import { jsx } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "../../Theme/Providers";
export const IconPieChart = (_a) => {
    var { color: providedColor, size: providedSize = "md" } = _a, other = __rest(_a, ["color", "size"]);
    const theme = useTheme();
    const size = typeof providedSize === "string"
        ? theme.iconSizes[providedSize]
        : providedSize;
    const color = providedColor || theme.colors.text.default;
    return (jsx("svg", Object.assign({ viewBox: "0 0 24 24", fill: "none", stroke: color, strokeWidth: "2", strokeLinecap: "round", strokeLinejoin: "round", height: size, width: size }, other),
        jsx("path", { d: "M21.21 15.89A10 10 0 1 1 8 2.83" }),
        jsx("path", { d: "M22 12A10 10 0 0 0 12 2v10z" })));
};
IconPieChart.propTypes = {
    color: PropTypes.string,
    size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
