import { __rest } from "tslib";
/** @jsx jsx */
import { jsx } from "@emotion/react";
import * as React from "react";
import { Spinner } from "./Spinner";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
export const Layer = React.forwardRef((_a, ref) => {
    var { elevation = "md", children } = _a, other = __rest(_a, ["elevation", "children"]);
    const theme = useTheme();
    return (jsx("div", Object.assign({ ref: ref, css: {
            position: "relative",
            background: theme.colors.background.layer,
            boxShadow: theme.shadows[elevation],
            borderRadius: theme.radii.lg
        } }, other), children));
});
Layer.displayName = "Layer";
Layer.propTypes = {
    elevation: PropTypes.oneOf(["xs", "sm", "md", "lg", "xl"]),
    children: PropTypes.node
};
export const LayerLoading = (_a) => {
    var { loading, label } = _a, other = __rest(_a, ["loading", "label"]);
    const theme = useTheme();
    const isDark = theme.colors.mode === "dark";
    return (jsx("div", Object.assign({ css: {
            position: "absolute",
            top: 0,
            left: 0,
            right: 0,
            borderRadius: theme.radii.lg,
            bottom: 0,
            display: "flex",
            alignItems: "center",
            justifyContent: "center",
            background: isDark ? "rgba(0,0,0,0.75)" : "rgba(255,255,255,0.7)",
            zIndex: 5,
            transition: "opacity 0.3s ease",
            pointerEvents: loading ? "auto" : "none",
            opacity: loading ? 1 : 0
        } }, other),
        jsx(Spinner, { label: label })));
};
LayerLoading.propTypes = {
    loading: PropTypes.bool,
    label: PropTypes.string
};
