import { __rest } from "tslib";
/** @jsx jsx */
import { jsx } from "@emotion/react";
import PropTypes from "prop-types";
import { useTheme } from "./Theme/Providers";
/**
 * A styled anchor element
 */
export const Link = (_a) => {
    var { children, component: Component = "a" } = _a, other = __rest(_a, ["children", "component"]);
    const theme = useTheme();
    return (jsx(Component, Object.assign({ className: "Link", css: {
            textDecoration: "none",
            "@media (hover:hover)": {
                ":hover": {
                    textDecoration: "underline"
                }
            },
            color: theme.colors.mode === "dark"
                ? theme.colors.palette.blue.light
                : theme.colors.palette.blue.base
        } }, other), children));
};
Link.propTypes = {
    component: PropTypes.any,
    children: PropTypes.node
};
