/** @jsx jsx */
import { jsx } from "@emotion/react";
import { Manager, Reference, Popper } from "react-popper";
import { Portal } from "./Portal";
import { useTransition } from "react-spring";
import PropTypes from "prop-types";
export const Positioner = ({ target, positionFixed, isOpen = true, children, placement }) => {
    const transitions = useTransition(isOpen, {
        from: { opacity: 1 },
        // keys: item => item.key,
        enter: { opacity: 1 },
        leave: { opacity: 0 },
        config: { mass: 1, tension: 185, friction: 26 }
    });
    return (jsx(Manager, null,
        jsx(Reference, null, target),
        transitions((style, item) => {
            return (item && jsx(Portal, { key: 1 },
                jsx(Popper, { placement: placement, positionFixed: positionFixed }, props => children(props, style))));
        })));
};
Positioner.propTypes = {
    isOpen: PropTypes.bool,
    placement: PropTypes.oneOf([
        "auto-start",
        "auto",
        "auto-end",
        "top-start",
        "top",
        "top-end",
        "right-start",
        "right",
        "right-end",
        "bottom-end",
        "bottom",
        "bottom-start",
        "left-end",
        "left",
        "left-start"
    ]),
    positionFixed: PropTypes.bool,
    target: PropTypes.func,
    children: PropTypes.func
};
