/** @jsx jsx */
import { jsx } from "@emotion/react";
import { storiesOf } from "@storybook/react";
import { useState } from "react";
import { Button } from "../Button";
import { AlertDialog } from "../AlertDialog";
function Example() {
    const [show, setShow] = useState(false);
    return (jsx("div", null,
        jsx(Button, { onPress: () => setShow(true) }, "Delete"),
        jsx(AlertDialog, { isOpen: show, confirmLabel: "Delete", subtitle: "This action cannot be undone. Proceed with caution.", title: "Are you sure you want to delete this?", onConfirm: () => {
                window.alert("DELETE");
            }, onClose: () => {
                setShow(false);
            } })));
}
export const ThemeExamples = storiesOf("AlertDialog", module).add("Basic usage", () => jsx(Example, null));
