/** @jsx jsx */
import { jsx } from "@emotion/react";
import { Avatar } from "../Avatar";
import faker from "faker";
import { storiesOf } from "@storybook/react";
export const AvatarStories = storiesOf("Avatar", module).add("basic", () => {
    const names = new Array(10).fill(null).map(a => faker.name.findName());
    const sizes = ["xs", "sm", "md", "lg", "xl"];
    return (jsx("div", null,
        sizes.map(size => (jsx("div", { css: { display: "flex" } }, names.map(name => (jsx(Avatar, { size: size, name: name, css: { margin: "0.25rem" }, key: name })))))),
        sizes.map(size => (jsx("div", { css: { display: "flex" } }, names.map(name => (jsx(Avatar, { size: size, name: name, src: faker.image.avatar(), css: { margin: "0.25rem" }, key: name }))))))));
});
