/** @jsx jsx */
import { jsx } from "@emotion/react";
import * as React from "react";
import { Button } from "../Button";
import { Collapse, useCollapse } from "../Collapse";
import { storiesOf } from "@storybook/react";
const Example = () => {
    const state = useCollapse(false);
    const [more, showMore] = React.useState(0);
    React.useEffect(() => {
        const timer = setInterval(() => {
            showMore(5 + more);
        }, 2000);
        return () => clearTimeout(timer);
    }, [more]);
    return (jsx("div", null,
        jsx(Button, Object.assign({}, state.buttonProps), "Click to reveal!"),
        jsx(Collapse, Object.assign({}, state.collapseProps),
            jsx("div", null, "This is some crazy content"),
            jsx("div", null, "This is some crazy content"),
            jsx("div", null, "This is some crazy content"),
            new Array(more).fill(null).map((a, i) => (jsx("div", { key: i },
                "Item number ",
                i))))));
};
export const CollapseStories = storiesOf("Collapse", module)
    .add("basic", () => {
    return (jsx("div", null,
        jsx(Example, null)));
})
    .add("mounted on open", () => (jsx("div", null,
    jsx(Collapse, { id: "hi", show: true },
        jsx("div", null, "This is some crazy content"),
        jsx("div", null, "This is some crazy content"),
        jsx("div", null, "This is some crazy content"),
        new Array(0).fill(null).map((a, i) => (jsx("div", { key: i },
            "Item number ",
            i)))))));
