/** @jsx jsx */
import { jsx } from "@emotion/react";
import * as React from "react";
import { Button } from "../Button";
import { Dialog } from "../Dialog";
import { Text } from "../Text";
import theme from "../Theme";
import { storiesOf } from "@storybook/react";
function Demo(props) {
    const [show, setShow] = React.useState(false);
    return (jsx("div", null,
        jsx(Button, { onClick: () => setShow(true) }, "Show"),
        jsx("div", { style: { height: "150vh" } }),
        jsx(Dialog, Object.assign({ isOpen: show, onRequestClose: () => setShow(false), title: "Hello world" }, props),
            jsx("div", { css: { padding: "1.5rem" } },
                jsx(Text, null, "Mollit fugiat ex irure tempor. Cillum non Lorem et enim anim est. Cillum adipisicing tempor adipisicing pariatur ex ut excepteur. Lorem Lorem minim deserunt est. Deserunt ea est ad reprehenderit fugiat dolor eiusmod exercitation. Consequat esse minim nulla commodo voluptate labore incididunt in deserunt ea exercitation enim commodo ad. Do Lorem voluptate nisi aliquip amet anim voluptate laborum."),
                jsx("div", { css: {
                        marginTop: theme.spaces.lg,
                        display: "flex",
                        justifyContent: "flex-end"
                    } },
                    jsx(Button, { variant: "ghost" }, "Cancel"),
                    jsx(Button, { css: { marginLeft: theme.spaces.sm }, intent: "primary" }, "Save"))))));
}
export const ModalStories = storiesOf("Dialog", module)
    .add("Standard usage", () => {
    return jsx(Demo, null);
})
    .add("Fullscreen mobile", () => {
    return jsx(Demo, { mobileFullscreen: true });
});
