/** @jsx jsx */
import { jsx, Global } from "@emotion/react";
import * as React from "react";
import { Button } from "../Button";
import { DarkMode, LightMode } from "../Theme/Providers";
import { Toolbar } from "../Toolbar";
export const ToggleDarkMode = ({ children }) => {
    const [mode, setMode] = React.useState("light");
    const Component = mode === "dark" ? DarkMode : LightMode;
    return (jsx(Component, null, theme => (jsx("div", null,
        jsx(Global, { styles: {
                body: {
                    margin: 0,
                    padding: 0,
                    background: theme.colors.background.default
                }
            } }),
        jsx(Toolbar, { css: {
                borderBottom: "1px solid",
                borderColor: theme.colors.border.default
            } },
            jsx(Button, { onClick: () => setMode(mode === "light" ? "dark" : "light") }, "Toggle Mode")),
        jsx("div", { css: {
                background: mode === "dark"
                    ? theme.modes.dark.palette.gray.dark
                    : theme.modes.light.background.default
            } }, children)))));
};
