/** @jsx jsx */
import { jsx } from "@emotion/react";
import { Button } from "../Button";
import { Tooltip } from "../Tooltip";
import { storiesOf } from "@storybook/react";
import { IconButton } from "../IconButton";
import { IconArrowRight } from "../Icons";
import { DarkMode } from "../Theme/Providers";
export const TooltipStories = storiesOf("Tooltip", module)
    .add("basic", () => {
    return (jsx("div", { css: { padding: "100px" } },
        jsx(Tooltip, { content: "This is some tooltip content" },
            jsx(Button, null, "Hello world. Hover me!!"))));
})
    .add("hover effects remain", () => {
    return (jsx("div", { css: { padding: "100px" } },
        jsx(Tooltip, { content: "This is some tooltip content" },
            jsx(IconButton, { variant: "ghost", label: "hello", icon: jsx(IconArrowRight, null) }))));
})
    .add("works with dark mode wrapper", () => {
    return (jsx("div", { css: { padding: "100px" } },
        jsx(Tooltip, { content: "This is some tooltip content" },
            jsx(DarkMode, null,
                jsx(IconButton, { variant: "ghost", label: "hello", icon: jsx(IconArrowRight, null) })))));
})
    .add("delay show / hide", () => {
    return (jsx("div", { css: { padding: "100px" } },
        jsx(Tooltip, { delayIn: 1000, delayOut: 800, content: "This is some tooltip content" },
            jsx(Button, null, "Hello world. Hover me!!"))));
});
